disp("Testing {xls,ods}read...")

# Do not load libreoffice/UNO stuff (the 3rd arg is omitted), since UNO does
# not work in a chroot
chk_spreadsheet_support("/usr/share/java", 0)

# Test defaults

testhelper("xls")
testhelper("xlsx")
testhelper("ods")
testhelper("gnumeric")

# Test specific interfaces (except UNO)

testhelper("xls", "JXL")
testhelper("xls", "POI")

testhelper("xlsx", "OCT")
testhelper("xlsx", "POI")

testhelper("ods", "JOD")
testhelper("ods", "OCT")
